အကြောင်းအရာသို့ ကျော်ရန်

Stable Audio 3 Small SFX Audio Outpainting

ပေါင်းစည်းရန်

မော်ဒယ် id stable-audio-3/small/sfx/audio-outpainting
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/small/sfx/audio-outpainting?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၀၂၈ $ ၂၈ API ခရက်ဒစ် · ≈ ၃.၀၁ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Stability AI အသံ #sfx#extension#continuation

သေးငယ်သော အသံအကျိုးသက်ရောက်မှု အောက်ပိန်းတင်း — SFX ဗီဒီယိုအပိုင်းကို ရှေ့ သို့မဟုတ် နောက်သို့ တိုးချဲ့ပြီး ဒစ်စတီးလ်ပြုထားသော 8 အဆင့်

Stability AI · အသံ

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

တိုးချဲ့မှုအကြောင်းအရာကို ဖော်ပြသည့် စာသားညွှန်ကြားချက်များ။

•လိုအပ်သည် audio_url
ဖိုင်ကို ဆွဲချပါ၊ သို့မဟုတ်

တိုးချဲ့ရန် ထည့်သွင်းအသံ။

အဆင့်မြင့် negative_prompt · output_format · bitrate · num_inference_steps · guidance_scale · extend_seconds_before · extend_seconds_after · seed · enable_prompt_expansion · enable_safety_checker
မူလ

ထွက်ရလဒ်တွင် မလိုလားသော အရည်အသွေးများကို သတ်မှတ်သည့် စာသား။

output_format မူလ mp3

ထွက်ရလဒ်အသံအတွက် အသုံးပြုသည့် container format။

မူလ 192k

ထွက်ရလဒ်အသံ၏ bitrate။ wav သို့မဟုတ် flac သည် lossless ဖြစ်သောကြောင့် ၎င်းတို့ကို အသုံးပြုသည့်အခါ လျစ်လျူရှုသည်။ mp3၊ aac သို့မဟုတ် opus ကဲ့သို့ compressed format များအတွက် '192k' သို့မဟုတ် '320k' ပုံစံဖြင့် တန်ဖိုးပေးပါ။

မူလ 8

Sampling iteration အရေအတွက်။ distilled၊ post-trained checkpoint များသည် 8 တွင် အရည်အသွေးကောင်း ရရှိပြီးဖြစ်သောကြောင့် မူလတန်ဖိုးမှာ 8 ဖြစ်သည်။ ထပ်ဆောင်း iteration များက အကျိုးအမြတ် အနည်းငယ်သာ ပေးသည်။

မူလ 1

အခြေခံ checkpoint များအတွက်သာ classifier-free guidance အားကောင်းမှု။ distilled checkpoint များကို မသက်ရောက်ပါ။ သက်ဆိုင်သော checkpoint များတွင် တန်ဖိုးမြှင့်ခြင်းဖြင့် ပရောမ့်အပေါ် လိုက်နာမှု ပိုမိုတင်းကျပ်လာသည်။

မူလ 0

မူရင်းအသံ၏ ရှေ့တွင် ထည့်မည့် အသစ်ဖန်တီးထားသော အသံ၏ ကြာချိန်၊ စက္ကန့်ဖြင့်။

မူလ 0

မူရင်းအသံ၏ နောက်တွင် ထည့်မည့် အသစ်ဖန်တီးထားသော အသံ၏ ကြာချိန်၊ စက္ကန့်ဖြင့်။

တူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်း generator seed။ ချန်ထားပါက ကျပန်း seed တစ်ခု ရွေးချယ်သည်။

POST /run/stable-audio-3/small/sfx/audio-outpainting?wait=20 ကုန်ကျစရိတ် → ၀.၀၂၈ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/stable-audio-3/small/sfx/audio-outpainting?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Stable Audio 3 Small SFX Audio Outpainting အကြောင်း

`audio_url` အဖြစ် ပေးထားသော အသံအကျိုးသက်ရောက်မှုဗီဒီယိုအပိုင်းကို `prompt` ဖြင့် လမ်းညွှန်ကာ ဆက်လက်ဖန်တီးသည်။ `extend_seconds_before` နှင့် `extend_seconds_after` တစ်ခုစီသည် ဖန်တီးထားသော အသံအသစ် 0 မှ 120 စက္ကန့်အထိ လက်ခံသည်။ မူလအားဖြင့် ဆမ်ပလင်း 8 အဆင့်ပါသော ဒစ်စတီးလ်ပြုထားသည့် Checkpoint ကို အသုံးပြုသည်။ mp3၊ wav နှင့် flac အပါအဝင် ထွက်ရလဒ်ဖော်မတ်များ အမျိုးမျိုးကို ပံ့ပိုးသည်။

ပါရာမီတာများ

စံအမည် သို့မဟုတ် မူရင်းအမည် တစ်ခုခုကိုသာ ပို့ပါ၊ နှစ်ခုလုံး မပို့ပါနှင့်။ စံအမည်များ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး
ထွက်ရလဒ်တွင် မလိုလားသော အရည်အသွေးများကို သတ်မှတ်သည့် စာသား။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး8
၁ – ၁၀၀
Sampling iteration အရေအတွက်။ distilled၊ post-trained checkpoint များသည် 8 တွင် အရည်အသွေးကောင်း ရရှိပြီးဖြစ်သောကြောင့် မူလတန်ဖိုးမှာ 8 ဖြစ်သည်။ ထပ်ဆောင်း iteration များက အကျိုးအမြတ် အနည်းငယ်သာ ပေးသည်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး1
၀ – ၂၅
အခြေခံ checkpoint များအတွက်သာ classifier-free guidance အားကောင်းမှု။ distilled checkpoint များကို မသက်ရောက်ပါ။ သက်ဆိုင်သော checkpoint များတွင် တန်ဖိုးမြှင့်ခြင်းဖြင့် ပရောမ့်အပေါ် လိုက်နာမှု ပိုမိုတင်းကျပ်လာသည်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
တူညီသောရလဒ်များ ပြန်လည်ရရှိရန် ကျပန်း generator seed။ ချန်ထားပါက ကျပန်း seed တစ်ခု ရွေးချယ်သည်။
enable_prompt_expansionရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ဖွင့်ထားသောအခါ LLM ကို အသုံးပြု၍ ပရောမ့်ကို ချဲ့ထွင်ခြင်း၊ အသေးစိတ်များ ထည့်သွင်းပြီး ရလဒ်အရည်အသွေးကို မြှင့်တင်သည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
NSFW အကြောင်းအရာအတွက် ဘေးကင်းရေး စစ်ဆေးမှု။
output_formatရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးmp3
mp3wavflacoggopusm4aaac
ထွက်ရလဒ်အသံအတွက် အသုံးပြုသည့် container format။
bitrateရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး192k
ထွက်ရလဒ်အသံ၏ bitrate။ wav သို့မဟုတ် flac သည် lossless ဖြစ်သောကြောင့် ၎င်းတို့ကို အသုံးပြုသည့်အခါ လျစ်လျူရှုသည်။ mp3၊ aac သို့မဟုတ် opus ကဲ့သို့ compressed format များအတွက် '192k' သို့မဟုတ် '320k' ပုံစံဖြင့် တန်ဖိုးပေးပါ။
promptလိုအပ်သည်
အမျိုးအစားstring
တိုးချဲ့မှုအကြောင်းအရာကို ဖော်ပြသည့် စာသားညွှန်ကြားချက်များ။
audio_urlလိုအပ်သည် audio
အမျိုးအစားurl · audio
တိုးချဲ့ရန် ထည့်သွင်းအသံ။
extend_seconds_beforeရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0
၀ – ၁၂၀
မူရင်းအသံ၏ ရှေ့တွင် ထည့်မည့် အသစ်ဖန်တီးထားသော အသံ၏ ကြာချိန်၊ စက္ကန့်ဖြင့်။
extend_seconds_afterရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး0
၀ – ၁၂၀
မူရင်းအသံ၏ နောက်တွင် ထည့်မည့် အသစ်ဖန်တီးထားသော အသံ၏ ကြာချိန်၊ စက္ကန့်ဖြင့်။
လိုအပ်သည် စံအမည်၊ ထို့အပြင် လက်ခံသည်

ဖိုင်ပါရာမီတာများသည် အများပြည်သူသုံး https:// URL၊ 10 MB အထိ data: URI သို့မဟုတ် အပ်လုဒ်လုပ်ထားသောဖိုင်၏ file_url ကို လက်ခံသည်။ ဖိုင်များ

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "stable-audio-3/small/sfx/audio-outpainting",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
audio
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထုတ်လုပ်သော အသံကလစ်။
seed
integerဖန်တီးမှုအတွင်း ကျပန်းဖြစ်မှုကို ထိန်းချုပ်သည့် seed။
prompt
stringထွက်ရလဒ်ဖန်တီးရန် အသုံးပြုခဲ့သော ပရောမ့်။

နောက်ထပ် မော်ဒယ်များ: အသံ

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/stable-audio-3/small/sfx/audio-outpainting.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt